// 完整的配置文件结构
export interface AppConfig {
  version: string;
  serverUrl?: string; // 服务器地址
  taskServerUrl?: string; // 任务管理服务器地址
  apiEndpoints?: {
    getTasks: string;
    getTaskDetail: string;
    runTask: string;
  };
  taskApiEndpoints?: {
    getTaskList: string;
    createTask: string;
    getTaskDetail: string;
    getTaskProgress: string;
    adjustTaskPriority: string;
    pauseTask: string;
    continueTask: string;
    terminateTask: string;
    exportTask: string;
  };
  headers?: {
    [key: string]: string | number;
  };
}

// 设置存储接口
export interface AppSettings {
  configFileName: string;
  serverUrl: string;
}
